/* @import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Devanagari:wght@100..900&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Mukta:wght@200;300;400;500;600;700;800&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

body {
  background: #FF8C00 url('../img/cream_pixels_t.png') repeat;
  font-family: "Mukta", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}

.text-elp>*,
.text-elp,
.text-elp>*:first-child {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 250px;
}

.text-elp>*:not(:first-child) {
  display: none;
}

.text-elp.w-500>* {
  max-width: 500px;
}

.text-elp.w-500 p { height: 100px; overflow: hidden;}
.text-elp.w-500 p img {
  width: 100%;
  max-width: 300px!important;
  height: auto!important;
}

.mrq p {
  margin: 0;
  display: inline-block;
  font-size: 13px;
  line-height: 100%;
  font-style: italic;
}
.mrq p a {
  text-decoration: none;
}
.card {
  margin-bottom: 20px;
}

.login-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: #f8f9fa;
}

.login-form {
  background-color: #fff;
  padding: 30px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.login-form h2 {
  margin-bottom: 20px;
}

.sidebar {
  min-height: 100vh;
  max-height: 100%;
  min-width: 200px;
  background-color: #865259;
  padding: 15px;
}

.sidebar a {
  color: #ffffff;
  text-decoration: none;
  padding: 10px 7px;
  display: block;
}

.sidebar a:hover {
  background-color: #495057;
}

.main-content {}

.navbar .navbar-brand img,
.custom-logo {
  max-width: 300px;
  /* max-width: 100px;
  top: 0px; */
  filter: invert(32%) sepia(13%) saturate(1572%) hue-rotate(302deg) brightness(102%) contrast(79%);
}
.navbar-nav {padding-top: 7px; padding-bottom: 7px;}
.navbar-nav .nav-item .nav-link {
  background-color: #865259;
  color: white;
  border-radius: 4px;
  line-height: 1;
  font-weight: 500;
  margin: 0 5px;
}

.navbar-nav .nav-item .nav-link:hover {
  background-color: #FF8C00;
}

.content {
  padding: 20px;
}

.form-container, .article-container {
  max-width: 1080px;
  margin: 30px auto;
  background-color: rgba(255, 255, 255, 0.5);
  padding: 20px 30px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.article-container {
  max-width: 100%;
}

.form-container h2, .article-container h2 {
  margin-bottom: 20px;
}

.dataTables_wrapper .dataTables_filter input, .dataTables_wrapper .dataTables_length select {
  font-size: 13px;
  height: 32px;
  box-shadow: none !important;
  border: 1px solid #aaa !important;
}

.article-container .table tfoot tr>th, .article-container .display thead tr {
  background: #865259;
}

.article-container .display thead tr>th,
.article-container .display tfoot tr>th {
  padding: 10px 5px;
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 1px;
  color: #fff;
  border-bottom: 1px solid rgba(0, 0, 0, 0.25);
  border-bottom-color: rgba(0, 0, 0, 0.25);
  border-right: 1px solid rgba(0, 0, 0, 0.25);
  border-top: none;
}

.article-container .display tbody tr>td {
  padding: 7px 5px;
  font-size: 13px;
  background: rgba(255, 255, 255, 0.5);
  border-bottom: 1px solid rgba(0, 0, 0, 0.25);
  border-right: 1px solid rgba(0, 0, 0, 0.25);
  border-top: none;
}

#article_view {
  width: 100%!important;
}

.blog-post-title {
  font-size: 2.5rem;
  margin-bottom: 20px;
}

.blog-post-meta {
  margin-bottom: 20px;
  color: #6c757d;
  font-size: 13px;
}

.article-hide {
  height: 70px;
  overflow: hidden;
}

.card {
  background: rgba(255, 255, 255, 0.5);
}

.card .share-link {
    text-decoration: none;
    line-height: 22px;
    padding: 2px 0;
    padding-right: 5px;
}

.card .share-link i {
    display: inline-block;
    width: 20px;
    height: 20px;
    text-align: center;
    line-height: 22px;
    color: #FF8C00;
}

.profile {
  max-width: 35mm;
}

.hero {
  background: url('../img/frame-2.jpg') no-repeat center;
  background-size: cover;
  padding: 30px 60px;
}

.icon-square {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    font-size: 1.5rem;
    border-radius: .75rem;
    color: #FF8C00;
}

.icon-list {
  padding-left: 0;
  list-style: none;
}
.icon-list li {
  display: flex;
  align-items: flex-start;
  margin-bottom: .25rem;
}
.icon-list li::before {
  display: block;
  flex-shrink: 0;
  width: 1.5em;
  height: 1.5em;
  margin-right: .75rem;
  content: "";
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M8 0a8 8 0 1 1 0 16A8 8 0 0 1 8 0zM4.5 7.5a.5.5 0 0 0 0 1h5.793l-2.147 2.146a.5.5 0 0 0 .708.708l3-3a.5.5 0 0 0 0-.708l-3-3a.5.5 0 1 0-.708.708L10.293 7.5H4.5z'/%3E%3C/svg%3E") no-repeat center center / 100% auto;
}

.pagination .page-link {
  color: #FF8C00;
}

.page-item.active .page-link {
  background: #FF8C00;
  border-color: #FF8C00;
}

.footer {
  background-color: #343a40;
  color: #aaa;
}

.footer h5 {
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 30px;
  color: #865259;
}

.footer a {
  color: #999;
  text-decoration: none;
}

.footer a:hover {
  color: #ddd;
  text-decoration: underline;
}

/* Medium devices (tablets, 768px and less) */
@media (max-width: 767.98px) {
  .navbar .navbar-brand img, .custom-logo {
    max-width: 260px;
    /* max-width: 80px; */
  }
  .navbar-nav .nav-item .nav-link {
    margin-top: 7px;
    padding-left: 7px;
  }
  .hero {
    padding: 60px 10px;
  }
  .card-text img {
    width: 100%!important;
    height: auto!important;
  }
}
